/* ESTILOS CARDS ESTUDIANTES */
a {
  text-decoration: none;
}

p,
li {
  text-align: justify;
  line-height: 1.3;
}

.card-contenedora-estudiantes {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 2em;
}

.card-estudiantes {
  width: 350px;
  height: 60px;
  padding: 10px 15px;
  background-color: #fff;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 15px;
  transition: 0.3s;
}

.card-estudiantes:hover {
  transform: translateY(-0.2rem) scale(1.0125);
  box-shadow: 0 0.5em 3rem -1rem rgba(0, 0, 0, 0.5);
}

.icon-container {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #e81c25;
  border-radius: 50%;
  margin-left: 8px;
}

.icon {
  color: #fff;
}

.message-text-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  flex-grow: 1;
}

.message-text,
.sub-text {
  margin: 0;
}

.message-text {
  color: #6d6e71;
  font-size: 17px;
  font-weight: 700;
}

.sub-text {
  font-size: 14px;
  color: #555;
}

/* ESTILOS MODAL */
/* Modal base */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Activar modal con :target */
.modal:target {
  opacity: 1;
  pointer-events: auto;
}

/* Contenido del modal */
.modal-content {
  max-height: 80vh;
  overflow-y: auto;
  background: #fff;
  margin: 10% auto;
  padding: 20px;
  width: 90%;
  max-width: 700px;
  border-radius: 8px;
  position: relative;
}

/* Botón cerrar */
.close-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  top: 10px;
  right: 15px;
  text-decoration: none;
  font-size: 24px;
  color: #333;
  background-color: red;
  color: #fff;
}